# Multi-Agent Plan Validator

MA-Plan-Validator is a Python tool for validating plans in multi-agent planning scenarios. It integrates with the [unified_planning
library](https://github.com/aiplan4eu/unified-planning) by the [AIPlan4EU project](https://www.aiplan4eu-project.eu/), focusing on the conversion and validation of sequential and partial order plans.

## Installation
To install MA-Plan-Validator:

```
pip install ma-plan-validator
```

you get the latest version. If you need an older version, you can install it with:

```
pip install ma-plan-validator==<version number>
```

## Usage
[ma_plan_validator.py](ma_plan_validator%2Fma_plan_validator.py)
### Validate a MultiAgent-Planning problem

```
from ma_plan_validator import MAPlanValidator
import unified_planning as up

problem = up.model.multi_agent.MultiAgentProblem('myproblem')
# specify the problem (e.g. agents, agent public fluents, agent private fluents, environment fluents, initial state, agent actions, goal)
...
plan = up.plans.Plan('my_ma_plan')
# plan generated by a Multi-agent planner
...
# Initialize the validator
validator = MAPlanValidator()

# Validate the plan
result = validator.validate(problem, plan)
print(result)
```
